#
# Conditional build:
%bcond_without	doc	# don't build doc
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module

%define 	module		openid
%define 	egg_name	python_openid
Summary:	OpenID consumer and server library for Python
Summary(pl.UTF-8):	Biblioteka konsumenta i serwera OpenID dla Pythona
Name:		python-%{module}
Version:	2.2.5
Release:	2
License:	Apache
Group:		Libraries/Python
Source0:	https://github.com/openid/python-openid/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	4f3c32944f7eef48e32fd36d185fa05c
URL:		https://github.com/openid/python-openid
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
%if %{with doc}
BuildRequires:	epydoc
%endif
Requires:	python-urljr >= 1.0.0
Requires:	python-yadis >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenID consumer and server library for Python.

%description -l pl.UTF-8
Biblioteka konsumenta i serwera OpenID dla Pythona.

%package -n python3-%{module}
Summary:	OpenID consumer and server library for Python
Summary(pl.UTF-8):	Biblioteka konsumenta i serwera OpenID dla Pythona
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
OpenID consumer and server library for Python.

%description -n python3-%{module} -l pl.UTF-8
Biblioteka konsumenta i serwera OpenID dla Pythona.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%if %{with doc}
sh admin/makedoc
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/*
%endif
%changelog
* Fri Mar 05 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-openid.git;a=log;h=master

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 552fac5
- release 2 (by relup.sh)

* Wed Jun 22 2016 Elan Ruusamäe <glen@delfi.ee> cfcb094
- python3 package (but code not ready for python3)

* Fri May 06 2016 Elan Ruusamäe <glen@delfi.ee> eedd06f
- build docs; package as apidocs subpackage

* Fri May 06 2016 Elan Ruusamäe <glen@delfi.ee> 268730e
- up to 2.2.5; homepage in github

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 867a30d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3d06611
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3e725f2
- automatic change: use py_build/py_install macros

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> fdcbd22
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b7e15ba
- release 2

* Thu Jul 30 2009 Patryk Zawadzki <patrys@room-303.com> a63986a
- 2.2.4

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 721d236
- up to 2.2.1

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ecb2a2
- release 2

* Thu Feb 21 2008 Jakub Bogusz <qboosh@pld-linux.org> af90e2f
- unified, dropped redundant module macro

* Thu Feb 21 2008 beorn <beorn@pld-linux.org> 0a3ed49
- Up to 2.1.1 + SPEC fixes

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8b7631f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dcab842
- converted to UTF-8

* Sun Jan 14 2007 Jakub Bogusz <qboosh@pld-linux.org> aea5af1
- pl

* Sun Jan 07 2007 Patryk Zawadzki <patrys@room-303.com> fd82682
- initial PLD release

